<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:composite="http://xmlns.jcp.org/jsf/composite" xmlns:p="http://primefaces.org/ui">
	<composite:interface>
		<composite:attribute name="id" required="false" default="" type="java.lang.String" />
		<composite:attribute name="action" required="true" method-signature="java.lang.String action()" />
		<composite:attribute name="hint" required="false" default="" type="java.lang.String" />
		<composite:attribute name="iconAwesome" required="true" type="java.lang.String" />
		<composite:attribute name="ajax" required="false" default="false" type="java.lang.Boolean" />
		<composite:attribute name="immediate" required="false" default="false" type="java.lang.Boolean" />
		<composite:attribute name="style" required="false" default="background-color: silver; border-color: darkgray; width: 36px; height: 36px" type="java.lang.String" />
		<composite:attribute name="onclick" required="false" default="" type="java.lang.String" />
		<composite:attribute name="type" required="false" default="submit" type="java.lang.String" />
	</composite:interface>
	<composite:implementation>
		<p:commandButton id="#{cc.attrs.id}" action="#{cc.attrs.action}" value="" ajax="#{cc.attrs.ajax}" type="#{cc.attrs.type}" title="#{cc.attrs.hint}" 
		  icon="fa fa-#{cc.attrs.iconAwesome}" immediate="#{cc.attrs.immediate}" style="#{cc.attrs.style}" onclick="#{cc.attrs.onclick}">
			<composite:insertChildren />
		</p:commandButton>
	</composite:implementation>
</ui:composition>